import React from 'react';
import { RawJSONVis, NodeLinkVis, PaohVis, SemanticSubstrates } from '@graphpolaris/shared/lib/vis';
import { useVisualizationCache } from '@graphpolaris/shared/lib/data-access';

export const VisualizationPanel = () => {
  const vis = useVisualizationCache()
  return (
    <div className="h-full w-full overflow-y-auto">
      <h1>Visualization Panel</h1>
      <p className='text-sm'>{vis.visual}</p>
      {/* <div>
        <button
          onClick={() =>
            dispatch(
              assignNewGraphQueryResult({
                nodes: [
                  {
                    id: 'agent/007',
                    attributes: { name: 'Daniel Craig' },
                  },
                ],
                edges: [],
              })
            )
          }
        >
          Load in mock result
        </button>
        <button
          onClick={() =>
            dispatch(assignNewGraphQueryResult({ nodes: [], edges: [] }))
          }
        >
          Remove mock result
        </button>
      </div> */}
      {/* width: '83%',
          height: '95vh', */}
      <div className="w-full h-[calc(100%-2rem)]">
        <div id="NodeLinkVis" className='tabContent'>
          {vis.visual === "NodeLinkVis" ? <><NodeLinkVis /></> : null}
        </div>
        <div id="RawJSONVis" className='tabContent'>
          {vis.visual === "RawJSONVis" ? <><RawJSONVis /></> : null}
        </div>
        <div id="PaohVis" className='tabContent'>
          {vis.visual === "PaohVis" ? <><PaohVis rowHeight={30} hyperedgeColumnWidth={30} gapBetweenRanges={3} /></> : null}
        </div>
        {/* <div id="SemSubVis" className='tabContent'>
          <SemanticSubstrates />
        </div> */}
      </div>

      {/* <div /> */}
    </div>
  );
};
